| Flutter Impeller |

Public Member Functions | List of all members
impeller::TraceSerializer Class Reference

`#include <trace_serializer.h>`

## Public Member Functions
| TraceSerializer ()
void | Write (CanvasRecorderOp op)
void | Write (const Paint &paint)
void | Write (const std::optional< Rect > optional_rect)
void | Write (const std::shared_ptr< ImageFilter > &image_filter)
void | Write (size_t size)
void | Write (const Matrix &matrix)
void | Write (const Vector3 &vec3)
void | Write (const Vector2 &vec2)
void | Write (const Radians &vec2)
void | Write (const Path &path)
void | Write (const std::vector< Point > &points)
void | Write (const PointStyle &point_style)
void | Write (const std::shared_ptr< Image > &image)
void | Write (const SamplerDescriptor &sampler)
void | Write (const Entity::ClipOperation &clip_op)
void | Write (const Picture &clip_op)
void | Write (const std::shared_ptr< TextFrame > &text_frame)
void | Write (const std::shared_ptr< VerticesGeometry > &vertices)
void | Write (const BlendMode &blend_mode)
void | Write (const std::vector< Matrix > &matrices)
void | Write (const std::vector< Rect > &matrices)
void | Write (const std::vector< Color > &matrices)
void | Write (const SourceRectConstraint &src_rect_constraint)
void | Write (const ContentBoundsPromise &promise)

## Detailed Description

Definition at line 13 of file trace_serializer.h.

## Constructor & Destructor Documentation

## ◆ TraceSerializer()

impeller::TraceSerializer::TraceSerializer | ( |  | ) |

Definition at line 150 of file trace_serializer.cc.

150 {}

## Member Function Documentation

## ◆ Write() [1/24]

void impeller::TraceSerializer::Write | ( | CanvasRecorderOp | op | ) |

Definition at line 152 of file trace_serializer.cc.

152 {
153 if (op == CanvasRecorderOp::kNew) {
154 FML_LOG(ERROR) << "######################################################";
155 } else {
156 FML_LOG(ERROR) << CanvasRecorderOpToString(op) << ":" << buffer_.str();
157 buffer_.str("");
158 buffer_.clear();
159 }
160 }

References impeller::kNew.

## ◆ Write() [2/24]

void impeller::TraceSerializer::Write | ( | const BlendMode & | blend_mode | ) |

Definition at line 241 of file trace_serializer.cc.

241 {
242 buffer_ << "[" << BlendModeToString(blend_mode) << "] ";
243 }

References impeller::BlendModeToString().

## ◆ Write() [3/24]

void impeller::TraceSerializer::Write | ( | const ContentBoundsPromise & | promise | ) |

Definition at line 261 of file trace_serializer.cc.

261 {
262 buffer_ << "[SaveLayerBoundsPromise]";
263 }

## ◆ Write() [4/24]

void impeller::TraceSerializer::Write | ( | const Entity::ClipOperation & | clip_op | ) |

Definition at line 218 of file trace_serializer.cc.

218 {
219 switch (clip_op) {
220 case Entity::ClipOperation::kDifference:
221 buffer_ << "[kDifference] ";
222 break;
223 case Entity::ClipOperation::kIntersect:
224 buffer_ << "[kIntersect] ";
225 break;
226 }
227 }

References impeller::Entity::kDifference, and impeller::Entity::kIntersect.

## ◆ Write() [5/24]

void impeller::TraceSerializer::Write | ( | const Matrix & | matrix | ) |

Definition at line 182 of file trace_serializer.cc.

182 {
183 buffer_ << "[" << matrix << "] ";
184 }

## ◆ Write() [6/24]

void impeller::TraceSerializer::Write | ( | const Paint & | paint | ) |

Definition at line 162 of file trace_serializer.cc.

162 {
163 buffer_ << "[" << paint << "] ";
164 }

## ◆ Write() [7/24]

void impeller::TraceSerializer::Write | ( | const Path & | path | ) |

Definition at line 198 of file trace_serializer.cc.

198 {
199 buffer_ << "[Path] ";
200 }

## ◆ Write() [8/24]

void impeller::TraceSerializer::Write | ( | const Picture & | clip_op | ) |

Definition at line 229 of file trace_serializer.cc.

229 {
230 buffer_ << "[Picture] ";
231 }

## ◆ Write() [9/24]

void impeller::TraceSerializer::Write | ( | const PointStyle & | point_style | ) |

Definition at line 206 of file trace_serializer.cc.

206 {
207 buffer_ << "[PointStyle] ";
208 }

## ◆ Write() [10/24]

void impeller::TraceSerializer::Write | ( | const Radians & | vec2 | ) |

Definition at line 194 of file trace_serializer.cc.

194 {
195 buffer_ << "[" << radians.radians << "] ";
196 }

References impeller::Radians::radians.

## ◆ Write() [11/24]

void impeller::TraceSerializer::Write | ( | const SamplerDescriptor & | sampler | ) |

Definition at line 214 of file trace_serializer.cc.

214 {
215 buffer_ << "[SamplerDescriptor] ";
216 }

## ◆ Write() [12/24]

void impeller::TraceSerializer::Write | ( | const SourceRectConstraint & | src_rect_constraint | ) |

Definition at line 257 of file trace_serializer.cc.

257 {
258 buffer_ << "[SourceRectConstraint] ";
259 }

## ◆ Write() [13/24]

void impeller::TraceSerializer::Write | ( | const std::optional< Rect > | optional_rect | ) |

Definition at line 166 of file trace_serializer.cc.

166 {
167 if (optional_rect.has_value()) {
168 buffer_ << "[" << optional_rect.value() << "] ";
169 } else {
170 buffer_ << "[None] ";
171 }
172 }

## ◆ Write() [14/24]

void impeller::TraceSerializer::Write | ( | const std::shared_ptr< Image > & | image | ) |

Definition at line 210 of file trace_serializer.cc.

210 {
211 buffer_ << "[std::shared_ptr<Image>] ";
212 }

## ◆ Write() [15/24]

void impeller::TraceSerializer::Write | ( | const std::shared_ptr< ImageFilter > & | image_filter | ) |

Definition at line 174 of file trace_serializer.cc.

174 {
175 buffer_ << image_filter << " ";
176 }

## ◆ Write() [16/24]

void impeller::TraceSerializer::Write | ( | const std::shared_ptr< TextFrame > & | text_frame | ) |

Definition at line 233 of file trace_serializer.cc.

233 {
234 buffer_ << "[std::shared_ptr<TextFrame>] ";
235 }

## ◆ Write() [17/24]

void impeller::TraceSerializer::Write | ( | const std::shared_ptr< VerticesGeometry > & | vertices | ) |

Definition at line 237 of file trace_serializer.cc.

237 {
238 buffer_ << "[std::shared_ptr<VerticesGeometry>] ";
239 }

## ◆ Write() [18/24]

void impeller::TraceSerializer::Write | ( | const std::vector< Color > & | matrices | ) |

Definition at line 253 of file trace_serializer.cc.

253 {
254 buffer_ << "[std::vector<Color>] ";
255 }

## ◆ Write() [19/24]

void impeller::TraceSerializer::Write | ( | const std::vector< Matrix > & | matrices | ) |

Definition at line 245 of file trace_serializer.cc.

245 {
246 buffer_ << "[std::vector<Matrix>] ";
247 }

## ◆ Write() [20/24]

void impeller::TraceSerializer::Write | ( | const std::vector< Point > & | points | ) |

Definition at line 202 of file trace_serializer.cc.

202 {
203 buffer_ << "[std::vector<Point>] ";
204 }

## ◆ Write() [21/24]

void impeller::TraceSerializer::Write | ( | const std::vector< Rect > & | matrices | ) |

Definition at line 249 of file trace_serializer.cc.

249 {
250 buffer_ << "[std::vector<Rect>] ";
251 }

## ◆ Write() [22/24]

void impeller::TraceSerializer::Write | ( | const Vector2 & | vec2 | ) |

Definition at line 190 of file trace_serializer.cc.

190 {
191 buffer_ << "[" << vec2 << "] ";
192 }

## ◆ Write() [23/24]

void impeller::TraceSerializer::Write | ( | const Vector3 & | vec3 | ) |

Definition at line 186 of file trace_serializer.cc.

186 {
187 buffer_ << "[" << vec3 << "] ";
188 }

## ◆ Write() [24/24]

void impeller::TraceSerializer::Write | ( | size_t | size | ) |

Definition at line 178 of file trace_serializer.cc.

178 {
179 buffer_ << "[" << size << "] ";
180 }

The documentation for this class was generated from the following files:

- impeller/aiks/trace_serializer.h
- impeller/aiks/trace_serializer.cc

impeller::Entity::ClipOperation::kIntersect
@ kIntersect
impeller::BlendModeToString
const char * BlendModeToString(BlendMode blend_mode)
Definition: color.cc:47
impeller::Entity::ClipOperation::kDifference
@ kDifference
impeller::kNew
@ kNew
Definition: canvas_recorder.h:20